<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen
    xmlns:android="http://schemas.android.com/apk/res/android">

    <PreferenceCategory
        android:title="@string/txt_settings_acc_headline">

        <org.deke.risk.riskahead.helper.ValidatedEditTextPreference
            android:key="usernamePref"
            android:title="@string/txt_settings_username"
            android:inputType="textCapSentences"
            android:summary="@string/txt_settings_username_sum"
            android:dialogTitle="@string/txt_settings_username_sum" />

        <EditTextPreference
            android:key="namePref"
            android:title="@string/txt_settings_name_title"
            android:inputType="textCapSentences"
            android:summary="@string/txt_settings_name_sum"
            android:dialogTitle="@string/txt_settings_name_sum" />

        <EditTextPreference
            android:key="surnamePref"
            android:title="@string/txt_settings_surname_title"
            android:inputType="textCapSentences"
            android:summary="@string/txt_settings_surname_sum"
            android:dialogTitle="@string/txt_settings_surname_sum" />

        <org.deke.risk.riskahead.helper.ValidatedEditTextPreference
            android:key="emailPref"
            android:inputType="textEmailAddress"
            android:title="@string/txt_settings_email_title"
            android:summary="@string/txt_settings_email_sum"
            android:dialogTitle="@string/txt_settings_email_sum" />

        <Preference
            android:key="resetPassword"
            android:title="@string/txt_settings_resetpw_title"
            android:summary="@string/txt_settings_resetpw_sum" />


    </PreferenceCategory>

    <PreferenceCategory
        android:title="@string/txt_settings_notify_head">

        <SwitchPreference
        android:key="notifyEnable"
        android:title="@string/txt_settings_showno_title"
        android:summary="@string/txt_settings_showno_sum" />

        <ListPreference
            android:key="notifyRadius"
            android:title="@string/txt_settings_notify_showradius"
            android:entries="@array/notification_radius"
            android:entryValues="@array/notification_radius_entry"
            android:summary="@string/txt_settings_notify_showradius_sum"
            android:dialogTitle="@string/txt_settings_notify_showradius" />

        <ListPreference
            android:key="notifyFrequency"
            android:title="@string/txt_settings_notify_pollfreq"
            android:entries="@array/notification_freq"
            android:entryValues="@array/notification_freq_entry"
            android:summary="@string/txt_settings_notify_pollfreq_sum"
            android:dialogTitle="@string/txt_settings_notify_pollfreq" />

        <SwitchPreference
            android:key="notifyEnableGPS"
            android:title="@string/txt_settings_gps_enable_title"
            android:summary="@string/txt_settings_gps_enable_sum" />

        <Preference
            android:key="notifyChooseLocation"
            android:title="@string/txt_settings_gps_loca_title"
            android:summary="@string/txt_settings_gps_loca_sum" />

    </PreferenceCategory>

</PreferenceScreen>